LibreOffice: XRangeSelection Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XRangeSelection Interface Referencepublished

allows to let the user to select a cell range. More...

`import "XRangeSelection.idl";`

Inheritance diagram for XRangeSelection:

## Public Member Functions
void | startRangeSelection ([in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| starts the range selection.
void | abortRangeSelection ()
| aborts the range selection.
void | addRangeSelectionListener ([in] com::sun::star::sheet::XRangeSelectionListener aListener)
| adds a listener that is notified when range selection is completed or aborted.
void | removeRangeSelectionListener ([in] com::sun::star::sheet::XRangeSelectionListener aListener)
| removes the specified listener.
void | addRangeSelectionChangeListener ([in] com::sun::star::sheet::XRangeSelectionChangeListener aListener)
| adds a listener that is notified when the selected range is changed.
void | removeRangeSelectionChangeListener ([in] com::sun::star::sheet::XRangeSelectionChangeListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to let the user to select a cell range.

See also
  com::sun::star::sheet::SpreadsheetView

Developers Guide
  Spreadsheet Documents - Range Selection

## Member Function Documentation

## ◆ abortRangeSelection()

void abortRangeSelection | ( |  | ) |

aborts the range selection.

## ◆ addRangeSelectionChangeListener()

void addRangeSelectionChangeListener | ( | [in] com::sun::star::sheet::XRangeSelectionChangeListener | aListener | ) |

adds a listener that is notified when the selected range is changed.

## ◆ addRangeSelectionListener()

void addRangeSelectionListener | ( | [in] com::sun::star::sheet::XRangeSelectionListener | aListener | ) |

adds a listener that is notified when range selection is completed or aborted.

## ◆ removeRangeSelectionChangeListener()

void removeRangeSelectionChangeListener | ( | [in] com::sun::star::sheet::XRangeSelectionChangeListener | aListener | ) |

removes the specified listener.

## ◆ removeRangeSelectionListener()

void removeRangeSelectionListener | ( | [in] com::sun::star::sheet::XRangeSelectionListener | aListener | ) |

removes the specified listener.

## ◆ startRangeSelection()

void startRangeSelection | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aArguments | ) |

starts the range selection.

Parameters

  aArguments | the RangeSelectionArguments that specify how the range selection is done.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XRangeSelection.idl